Lparameters XFILE,XCP
Local pcnt
pcnt=Parameters()
*   *****************************************************************
If pcnt=0
	Messagebox(" ...",64,"...")
	return
Endif
If Vartype(xfile)#"C"
	Messagebox(" ...",64,"...")
	return
Endif
If Not File(xfile)
	Messagebox(" ..."+Chr(13)+xfile,64,"...")
	return
Endif

If Version(5)<800
	Messagebox("  VFP 8,9..."+Chr(13)+" BindEvent...","...")
	return
endif

If pcnt<2
	*  -,  
	xcp="1251"
Endif

local OWIN
OWIN=CREATEOBJECT("VIEWFORM",XFILE)
OWIN.VISIBLE=.T.

*     
Do While Not owin.flag_exit
	owin.flag_exit=.t.
	Modify File (XFILE) NOEDIT WINDOW FORMTEMPVIEW AS &XCP
enddo

If Vartype(owin)="O"
	owin.release
endif
Release owin
CLEAR TYPeahead
RETURN

* ---------------------   -----------------------------------
*  ToolBar
Define Class cmdtool as CommandButton
	caption=""
	height=26
	width=26
Enddefine

*  CheckBox
Define Class chktool as CheckBox
	caption=""
	style=1
	height=26
	width=26
enddefine

*  Toolbar
Define Class ftools as Toolbar
	name="formtoolbar"
	caption="..."

	Procedure init
		Lparameters oparentref
		this.AddProperty("oformref")
		this.oformref=oparentref
	Endproc
	
	Procedure release
		*   ToolBar
		Nodefault
		this.Hide()
	Endproc
	
enddefine

*  
DEFINE CLASS VIEWFORM AS FORM
  CAPTION=" ... "
  NAME="FORMTEMPVIEW"
  FONTNAME="Courier New"
  fontsize=10
  WINDOWSTATE=2
  flag_save=.f.
  flag_exit=.f.
  xprg=Sys(16)
  
  Procedure cmd_exit
  * , 
  	Keyboard '{ctrl+W}'
  endproc
  
  Procedure cmd_print
  	*  
  	Keyboard '{ctrl+P}'
  endproc
  
  Procedure cmd_font
  	*  
	this.flag_exit=.f.
	this.FontSize=Iif(this.FontSize=16,6,this.FontSize+2)
    this.mtb.cmd2.caption=Transform(this.fontsize)
	Keyboard '{ctrl+W}'
  endproc

  Procedure cmd_bold
  	*  
	this.flag_exit=.f.
	this.Fontbold=(not this.Fontbold)
	Keyboard '{ctrl+W}'
  endproc
  
  Procedure cmd_italic
  	*  
	this.flag_exit=.f.
	this.Fontitalic=(not this.fontitalic)
	Keyboard '{ctrl+W}'
  endproc
  
  Procedure cmd_find
  	*  
	Keyboard '{ctrl+home}'			&&   
	Keyboard '{ctrl+F}'				&&  
  endproc
  
  Procedure cmd_save
  	*    
  	this.flag_save=(not this.flag_save)
  endproc

	Procedure destroy
		If Not this.flag_save
			return
		Endif
		*  
		Local sm
		sm=""
		sm=sm+"FontSize="+Transform(this.FontSize)
		sm=sm+Chr(13)+"FontBold="+Iif(this.Fontbold,".T.",".F.")
		sm=sm+Chr(13)+"FontItalic="+Iif(this.FontItalic,".T.",".F.")
		Strtofile(sm,Justpath(this.xprg)+"\"+Juststem(this.xprg)+".ini")
	endproc

  PROCEDURE INIT
    LPAR PF
    THIS.CAPTION=THIS.CAPTION+PF
    
    *   
    *********************************
    Local ifile,k
    ifile=Justpath(this.xprg)+"\"+Juststem(this.xprg)+".ini"
    If File(ifile)
    	Local Array ax(1,1)
    	Alines(ax,Filetostr(ifile))
    	For k=1 To Alen(ax,1)
    		this.WriteExpression(Substr(ax(k),1,At("=",ax(k))-1),Substr(ax(k),At("=",ax(k))+1))
    	endfor
    endif
    
    *  ToolBar
    ****************************************************************************************************
    this.AddProperty("mtb")
    this.mtb=Createobject("ftools",thisform)
    
     With this.mtb
		*  
	    .addobject("cmd2","cmdtool")
	    .cmd2.width=40
	    .cmd2.caption=Transform(this.fontsize)
	    .cmd2.pictureposition=1
	    .cmd2.fontbold=.t.
	    .cmd2.fontsize=8
	    .cmd2.picture="sc_font.bmp"
	    .cmd2.tooltiptext="..."
	    Bindevent(thisform.mtb.cmd2,"click",thisform,"cmd_font")
	    .cmd2.visible=.t.

		*   
	    .addobject("chk1","chktool")
	    .chk1.picture="bld.bmp"
	    .chk1.downpicture="bld_on.bmp"
	    .chk1.tooltiptext="..."
	    Bindevent(thisform.mtb.chk1,"click",thisform,"cmd_bold")
		.chk1.value=this.fontbold
	    .chk1.visible=.t.

		*   Italic
	    .addobject("chk2","chktool")
	    .chk2.picture="itl.bmp"
	    .chk2.downpicture="itl_on.bmp"
	    .chk2.tooltiptext="..."
	    Bindevent(thisform.mtb.chk2,"click",thisform,"cmd_italic")
		.chk2.value=this.fontitalic
	    .chk2.visible=.t.

		*   
	    .addobject("chk3","chktool")
	    .chk3.picture="save.bmp"
	    .chk3.downpicture="save_on.bmp"
	    .chk3.tooltiptext="   ..."
	    Bindevent(thisform.mtb.chk3,"click",thisform,"cmd_save")
	    .chk3.visible=.t.

	    .addobject("cmd1","cmdtool")
	    .cmd1.picture="find.bmp"
	    .cmd1.tooltiptext="..."
	    Bindevent(thisform.mtb.cmd1,"click",thisform,"cmd_find")
	    .cmd1.visible=.t.

	    .addobject("cmd3","cmdtool")
	    .cmd3.picture="print.bmp"
	    .cmd3.tooltiptext="..."
	    Bindevent(thisform.mtb.cmd3,"click",thisform,"cmd_print")
	    .cmd3.visible=.t.

	    .addobject("cmd4","cmdtool")
	    .cmd4.picture="shmexit.bmp"
	    .cmd4.tooltiptext="..."
	    Bindevent(thisform.mtb.cmd4,"click",thisform,"cmd_exit")
	    .cmd4.visible=.t.
	    
	    .visible=.t.
	    *  "" ToolBar-a
	    .dock(-1,_screen.Width-.width-50,40)

	Endwith

    Endproc
    
Enddefine

